import Global from '../../_global.mdx';
import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# outlook calendar list

Retrieves a list of all calendars of a user or a group.

## Usage

```sh
m365 outlook calendar list [options]
```

## Options

```md definition-list
`--userId [userId]`
: ID of the user. Specify either `userId` or `userName`, but not both.

`--userName [userName]`
: UPN of the user. Specify either `userId` or `userName`, but not both.

`--calendarGroupId [calendarGroupId]`
: ID of the calendar group. Specify either `calendarGroupId` or `calendarGroupName`, but not both.

`--calendarGroupName [calendarGroupName]`
: Name of the calendar group. Specify either `calendarGroupId` or `calendarGroupName`, but not both.
```

<Global />

## Permissions

<Tabs>
  <TabItem value="Delegated">

  | Resource        | Permissions     |
  |-----------------|-----------------|
  | Microsoft Graph | Calendars.Read  |

  </TabItem>
  <TabItem value="Application">

  | Resource        | Permissions     |
  |-----------------|-----------------|
  | Microsoft Graph | Calendars.Read  |

  </TabItem>
</Tabs>

## Examples

List all calendars for the current signed-in user.

```sh
m365 outlook calendar list --userId "@meId"
```

List all calendars in a specific calendar group for the current signed-in user.

```sh
m365 outlook calendar list --userId "@meId" --calendarGroupName "Colleague calendars"
```

List all calendars for a specific user.

```sh
m365 outlook calendar list --userName "john.doe@contoso.com"
```

List all calendars from a specific calendar group for a specific user.

```sh
m365 outlook calendar list --userId b743445a-112c-4fda-9afd-05943f9c7b36 --calendarGroupId "AAMkADIxYjJiYmIzLTFmNjYtNGNhMy0YOkcEEh3vhfAAAGgdFjAAA="
```

## Response

<Tabs>
  <TabItem value="JSON">

  ```json
  [
    {
      "id": "AAMkAGI2MDc2YzA0LWQwNTktNGM5Ni05M2VkLWY3NjFkNTUxOTkyZABGAAAAAABeGJMObKvfQbq5qwfGa7kTBwAopDdmUXY8TaLJk5CCLo4zAAAAAAEGAAAopDdmUXY8TaLJk5CCLo4zAAAAAFS0AAA=",
      "name": "Calendar",
      "color": "auto",
      "hexColor": "",
      "groupClassId": "0006f0b7-0000-0000-c000-000000000046",
      "isDefaultCalendar": true,
      "changeKey": "KKQ3ZlF2PE2iyZOQgi6OMwAAAAADcg==",
      "canShare": true,
      "canViewPrivateItems": true,
      "canEdit": true,
      "allowedOnlineMeetingProviders": [
        "teamsForBusiness"
      ],
      "defaultOnlineMeetingProvider": "teamsForBusiness",
      "isTallyingResponses": true,
      "isRemovable": false,
      "owner": {
        "name": "John Doe",
        "address": "john.doe@contoso.com"
      }
    }
  ]
  ```

  </TabItem>
  <TabItem value="Text">

  ```text
  id                                                                                                                                                        name
  --------------------------------------------------------------------------------------------------------------------------------------------------------  ----------------------
  AAMkAGI2MDc2YzA0LWQwNTktNGM5Ni05M2VkLWY3NjFkNTUxOTkyZABGAAAAAABeGJMObKvfQbq5qwfGa7kTBwAopDdmUXY8TaLJk5CCLo4zAAAAAAEGAAAopDdmUXY8TaLJk5CCLo4zAAAAAFS0AAA=  Calendar
  ```

  </TabItem>
  <TabItem value="CSV">

  ```csv
  id,name,color,hexColor,groupClassId,isDefaultCalendar,changeKey,canShare,canViewPrivateItems,canEdit,defaultOnlineMeetingProvider,isTallyingResponses,isRemovable
  AAMkAGI2MDc2YzA0LWQwNTktNGM5Ni05M2VkLWY3NjFkNTUxOTkyZABGAAAAAABeGJMObKvfQbq5qwfGa7kTBwAopDdmUXY8TaLJk5CCLo4zAAAAAAEGAAAopDdmUXY8TaLJk5CCLo4zAAAAAFS0AAA=,Calendar,auto,,0006f0b7-0000-0000-c000-000000000046,1,KKQ3ZlF2PE2iyZOQgi6OMwAAAAADcg==,1,1,1,teamsForBusiness,1,0
  ```

  </TabItem>
  <TabItem value="Markdown">

  ```md
  # outlook calendar list --userId "0649d0bd-53dc-4e1d-a357-76f1d92d447b"

  Date: 5/11/2026

  ## Calendar (AAMkAGI2MDc2YzA0LWQwNTktNGM5Ni05M2VkLWY3NjFkNTUxOTkyZABGAAAAAABeGJMObKvfQbq5qwfGa7kTBwAopDdmUXY8TaLJk5CCLo4zAAAAAAEGAAAopDdmUXY8TaLJk5CCLo4zAAAAAFS0AAA=)

  Property | Value
  ---------|-------
  id | AAMkAGI2MDc2YzA0LWQwNTktNGM5Ni05M2VkLWY3NjFkNTUxOTkyZABGAAAAAABeGJMObKvfQbq5qwfGa7kTBwAopDdmUXY8TaLJk5CCLo4zAAAAAAEGAAAopDdmUXY8TaLJk5CCLo4zAAAAAFS0AAA=
  name | Calendar
  color | auto
  hexColor |
  groupClassId | 0006f0b7-0000-0000-c000-000000000046
  isDefaultCalendar | true
  changeKey | KKQ3ZlF2PE2iyZOQgi6OMwAAAAADcg==
  canShare | true
  canViewPrivateItems | true
  canEdit | true
  defaultOnlineMeetingProvider | teamsForBusiness
  isTallyingResponses | true
  isRemovable | false
  ```

  </TabItem>
</Tabs>
